ResultSetProvider
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava
Interface ResultSetProvider

All Known Implementing Classes:
  ResultSetPicker

    public interface ResultSetProvider

An implementation of this interface is returned from functions and procedures that are declared to return `SET OF` a complex type. Functions that return `SET OF` a simple type should simply return an `Iterator`.

Method Summary
`boolean` | `assignRowValues(java.sql.ResultSet receiver, int currentRow)` This method is called once for each row that should be returned from a procedure that returns a set of rows.
`void` | `close()` Called after the last row has returned or when the query evaluator decides that it does not need any more rows.

Method Detail

### assignRowValues

    boolean assignRowValues(java.sql.ResultSet receiver,
                            int currentRow)
                            throws java.sql.SQLException

  This method is called once for each row that should be returned from a procedure that returns a set of rows. The receiver is a `SingleRowWriter` writer instance that is used for capturing the data for the row.

  Parameters:
    `receiver` - Receiver of values for the given row.
    `currentRow` - Row number. First call will have row number 0.
  Returns:
    `true` if a new row was provided, `false` if not (end of data).
  Throws:
    `java.sql.SQLException`

### close

    void close()
               throws java.sql.SQLException

  Called after the last row has returned or when the query evaluator decides that it does not need any more rows.

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT